# t3theme package (t3theme-pkg)

The t3theme package is a block based (BEM) template bases for the based on foundation zurb panini

## Installation

	npm install t3theme-pkg ---save-dev

## Push package to npm

If you want to push the npm package you need to set a higher version number first in the ```package.json```.

	npm publish

## Configuration

### SASS

Add the ```node_modules/t3theme-pkg/blocks``` path to the ```config.yml```.

	# Gulp will reference these paths when it copies files
	PATHS:
	  # Paths to Sass libraries, which can then be loaded with @import
	  sass:
		- "node_modules/t3theme-pkg/blocks"

### Handlebars

Add the ```node_modules/t3theme-pkg/blocks/``` path to the ```gulpfile.bable.js```.
This enables to add handlebars-template from the ```t3theme-pkg/blocks/``` folder

	// Copy page templates into finished HTML files
		function pages() {
		  return gulp.src('src/pages/**/*.{html,hbs,handlebars}')
			.pipe(panini({
			  ...
			  partials: ['src/blocks/','node_modules/t3theme-pkg/blocks/'],
			  ...
			}))
			.pipe(gulp.dest(PATHS.dist));
		}
